Description: build mapbox-gl-native with C++17
Origin: KDE, https://invent.kde.org/qt/qt/qtlocation-mapboxgl/-/merge_requests/4
Last-Update: 2025-01-08

--- a/src/3rdparty/mapbox-gl-native/mapbox-gl-native.pro
+++ b/src/3rdparty/mapbox-gl-native/mapbox-gl-native.pro
@@ -2,8 +2,7 @@ TARGET = qmapboxgl
 
 load(qt_helper_lib)
 
-CONFIG += qt c++14 exceptions warn_off staticlib object_parallel_to_source
-CONFIG -= c++1z
+CONFIG += qt c++17 exceptions warn_off staticlib object_parallel_to_source
 
 QT += network-private \
       gui-private \
